/**
 * @file
 * Reorder list implementation.
 *
 * @copyright Copyright © 2012–2018 Magneson.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include "VuoLayer.h"

VuoModuleMetadata({
                     "title" : "Change Items in List",
                     "description" : "Changes items in a list by a list of index numbers",
					 "keywords" : [ ],
					 "version" : "1.0.0",
					 "dependencies" : [ ],
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
        VuoInputData(VuoList_VuoGenericType1) list,
        VuoInputData(VuoList_VuoInteger) changeItems,
        VuoInputData(VuoList_VuoGenericType1) newItem,
        VuoOutputData(VuoList_VuoGenericType1) listOut
)
{
    VuoList_VuoGenericType1 changed = VuoListCopy_VuoGenericType1(list);
    unsigned long changeCount = VuoListGetCount_VuoInteger(changeItems);

    for(unsigned long i = 1; i <= changeCount; ++i){
        VuoListSetValue_VuoGenericType1
                (
                    changed,
                    VuoListGetValue_VuoGenericType1(newItem, i),
                    VuoListGetValue_VuoInteger(changeItems, i),
                    FALSE
                    );
    }

    *listOut = changed;
}

