/**
 * @file
 * Sort by index implementation.
 *
 * @copyright Copyright © 2012–2018 Magneson.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleMetadata({
                      "title" : "Cut Wrapped List",
                      "keywords" : [ "sort", "indecies", "big", "high", "small", "most", ">", "<", "upper", "limit", "bound", "range" ],
                      "version" : "2.1.0",
                      "genericTypes" : {
                          "VuoGenericType1" : {
                              "defaultType" : "VuoReal",
                              "compatibleTypes" : [ "VuoInteger", "VuoReal", "VuoPoint2d", "VuoPoint3d", "VuoPoint4d", "VuoImage", "VuoLayer" ]
                          }
                      },
                      "node": {
                          "exampleCompositions" : [ ]
                      }
                  });

void nodeEvent
(
        VuoInputData(VuoList_VuoGenericType1) list,
        VuoInputData(VuoInteger, {"default":1,"suggestedMin":1}) startPosition,
        VuoInputData(VuoInteger, {"default":1,"suggestedMin":1}) itemCount,
        VuoOutputData(VuoList_VuoGenericType1) partialList
)
{
    *partialList = VuoListCreate_VuoGenericType1();
    VuoInteger listSize = VuoListGetCount_VuoGenericType1(list);

    for(int i = 0; i < itemCount; i++){
            VuoGenericType1 value = VuoListGetValue_VuoGenericType1(list, (((startPosition - 1) + i) % listSize) + 1);
            VuoListAppendValue_VuoGenericType1(*partialList, value);
        }

}
