/**
 * @file
 * Reorder list implementation.
 *
 * @copyright Copyright © 2012–2018 Magneson.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include "VuoLayer.h"

VuoModuleMetadata({
                     "title" : "Get Items from List (4)",
                     "description" : "Gets 4 items from a list from an index",
                     "keywords" : [ ],
                     "version" : "1.0.0",
                     "dependencies" : [ ],
                     "node": {
                         "isInterface" : false
                     }
                 });

void nodeEvent
(
        VuoInputData(VuoList_VuoGenericType1) list,
        VuoInputData(VuoList_VuoInteger) items,
        VuoOutputData(VuoGenericType1) item1,
        VuoOutputData(VuoGenericType1) item2,
        VuoOutputData(VuoGenericType1) item3,
        VuoOutputData(VuoGenericType1) item4
)
{
    *item1 = VuoListGetValue_VuoGenericType1(list, VuoListGetValue_VuoInteger(items, 1));
    *item2 = VuoListGetValue_VuoGenericType1(list, VuoListGetValue_VuoInteger(items, 2));
    *item3 = VuoListGetValue_VuoGenericType1(list, VuoListGetValue_VuoInteger(items, 3));
    *item4 = VuoListGetValue_VuoGenericType1(list, VuoListGetValue_VuoInteger(items, 4));
}

