/**
 * @file
 * Reorder list implementation.
 *
 * @copyright Copyright © 2012–2018 Magneson.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include "VuoLayer.h"

VuoModuleMetadata({
                     "title" : "Get Items from List (4, sequential)",
                     "description" : "Gets 8 items from a list from a starting position",
					 "keywords" : [ ],
					 "version" : "1.0.0",
					 "dependencies" : [ ],
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
        VuoInputData(VuoList_VuoGenericType1) list,
        VuoInputData(VuoInteger, "default":1) startItem,
        VuoOutputData(VuoGenericType1) item1,
        VuoOutputData(VuoGenericType1) item2,
        VuoOutputData(VuoGenericType1) item3,
        VuoOutputData(VuoGenericType1) item4
)
{
    *item1 = VuoListGetValue_VuoGenericType1(list, startItem);
    *item2 = VuoListGetValue_VuoGenericType1(list, startItem + 1);
    *item3 = VuoListGetValue_VuoGenericType1(list, startItem + 2);
    *item4 = VuoListGetValue_VuoGenericType1(list, startItem + 3);
}

