/**
 * @file
 * Reorder list implementation.
 *
 * @copyright Copyright © 2012–2018 Magneson.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"
#include "VuoLayer.h"

VuoModuleMetadata({
                     "title" : "Reorder Layers",
                     "description" : "Reorders a list of layers by a list of indexes",
					 "keywords" : [ ],
					 "version" : "1.0.0",
					 "dependencies" : [ ],
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
        VuoInputData(VuoList_VuoLayer) list,
        VuoInputData(VuoList_VuoInteger) orderList,
        VuoOutputData(VuoList_VuoLayer) listOut
)
{
    VuoList_VuoLayer reordered = VuoListCreate_VuoLayer();
    unsigned long orderCount = VuoListGetCount_VuoInteger(orderList);

    for(unsigned long i = 1; i <= orderCount; ++i){
        VuoLayer active;
        VuoInteger idx = VuoListGetValue_VuoInteger(orderList, i);
        active = VuoListGetValue_VuoLayer(list, idx);
        VuoListAppendValue_VuoLayer(reordered, active);
    }

    *listOut = reordered;
}
