/**
 * @file
 * Reorder list implementation.
 *
 * @copyright Copyright © 2012–2018 Magneson.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

VuoModuleMetadata({
                     "title" : "Reorder List",
                     "description" : "Reorders a list by a list of indexes",
					 "keywords" : [ ],
					 "version" : "1.0.0",
					 "dependencies" : [ ],
					 "node": {
						 "isInterface" : false
					 }
				 });

void nodeEvent
(
        VuoInputData(VuoList_VuoGenericType1) list,
        VuoInputData(VuoList_VuoInteger) orderList,
        VuoOutputData(VuoList_VuoGenericType1) listOut
)
{
    VuoList_VuoGenericType1 reordered = VuoListCreate_VuoGenericType1();
    unsigned long orderCount = VuoListGetCount_VuoInteger(orderList);

    for(unsigned long i = 1; i <= orderCount; ++i){
        VuoGenericType1 active;
        VuoInteger idx = VuoListGetValue_VuoInteger(orderList, i);
        active = VuoListGetValue_VuoGenericType1(list, idx);
        VuoListAppendValue_VuoGenericType1(reordered, active);
    }

    *listOut = reordered;
}
